com.trendmicro.ds.platform.rest.object.tenant

## Class CreateTenantOptions

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.tenant.CreateTenantOptions

-     public class CreateTenantOptions
      extends java.lang.Object

  Attributes used for controlling the creation of a new tenant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateTenantOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getActivationCodes()` An list of activation codes that can be used when each tenant licenses features separately (optional).
    `java.lang.String` | `getAdminAccount()` The name of the master user account to create for the tenant.
    `java.lang.String` | `getAdminEmail()` The email address to associate with the master user account created for the tenant, and as the primary point of contact for the tenant.
    `java.lang.String` | `getAdminPassword()` The password for the master user account to create for the tenant.
    `boolean` | `getConfirmationRequired()` Create the tenat in a "confirmation required" state, where the tenant will receive an email with a link they must follow in order to activate their account
    `boolean` | `getGenerateMasterPassword()` Automatically generate a password for the master user account If set, the password is emailed to the given primary email address.
    `boolean` | `hasGenerateMasterPassword()`
    `boolean` | `isConfirmationRequired()`
    `boolean` | `isGenerateMasterPassword()`
    `void` | `setActivationCodes(java.lang.String[] activationCodes)`
    `void` | `setAdminAccount(java.lang.String adminAccount)`
    `void` | `setAdminEmail(java.lang.String adminEmail)`
    `void` | `setAdminPassword(java.lang.String adminPassword)`
    `void` | `setConfirmationRequired(boolean confirmationRequired)`
    `void` | `setGenerateMasterPassword(boolean generateMasterPassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTenantOptions

          public CreateTenantOptions()

  - ### Method Detail

    - #### getAdminAccount

          public java.lang.String getAdminAccount()

      The name of the master user account to create for the tenant.

    - #### setAdminAccount

          public void setAdminAccount(java.lang.String adminAccount)

    - #### getAdminPassword

          public java.lang.String getAdminPassword()

      The password for the master user account to create for the tenant.

    - #### setAdminPassword

          public void setAdminPassword(java.lang.String adminPassword)

    - #### getAdminEmail

          public java.lang.String getAdminEmail()

      The email address to associate with the master user account created for the tenant, and as the primary point of contact for the tenant.

    - #### setAdminEmail

          public void setAdminEmail(java.lang.String adminEmail)

    - #### getActivationCodes

          public java.lang.String[] getActivationCodes()

      An list of activation codes that can be used when each tenant licenses features separately (optional).

    - #### setActivationCodes

          public void setActivationCodes(java.lang.String[] activationCodes)

    - #### hasGenerateMasterPassword

          public boolean hasGenerateMasterPassword()

    - #### getGenerateMasterPassword

          public boolean getGenerateMasterPassword()

      Automatically generate a password for the master user account
      If set, the password is emailed to the given primary email address.

    - #### isGenerateMasterPassword

          public boolean isGenerateMasterPassword()

    - #### setGenerateMasterPassword

          public void setGenerateMasterPassword(boolean generateMasterPassword)

    - #### getConfirmationRequired

          public boolean getConfirmationRequired()

      Create the tenat in a "confirmation required" state, where the tenant will receive an email with a link they must follow in order to activate their account

    - #### isConfirmationRequired

          public boolean isConfirmationRequired()

    - #### setConfirmationRequired

          public void setConfirmationRequired(boolean confirmationRequired)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.